package com.tanpu.fund.entity.generator;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Builder;
import lombok.Data;

import java.util.Date;

/**
 * 报告下载统计
 */
@TableName(value = "report_download_summary")
@Builder
@Data
public class ReportDownloadSummary {
    /**
     * id
     */
    @TableId(value = "id", type = IdType.INPUT)
    private Long id;

    /**
     * 用户Id
     */
    @TableField(value = "user_id")
    private String userId;

    /**
     * 深度报告免费下载次数
     */
    @TableField(value = "deep_report")
    private Integer deepReport;

    /**
     * 深度报告-标准版-下载次数
     */
    @TableField(value = "deep_report_std")
    private Integer deepReportStd;

    /**
     * 累计收益报告-免费下载次数
     */
    @TableField(value = "cumulative_profit_report")
    private Integer cumulativeProfitReport;

    /**
     * 累计收益报告-标准版-下载次数
     */
    @TableField(value = "cumulative_profit_report_std")
    private Integer cumulativeProfitReportStd;

    /**
     * 周报/月报
     */
    @TableField(value = "weekly_monthly_report")
    private Integer weeklyMonthlyReport;

    /**
     * 持仓分析-免费版-下载次数
     */
    @TableField(value = "hold_fund_report")
    private Integer holdFundReport;

    /**
     * 持仓分析-标准版-下载次数
     */
    @TableField(value = "hold_fund_report_std")
    private Integer holdFundReportStd;

    /**
     * 免费版-下载次数上限
     */
    @TableField(value = "free_total_limit")
    private Integer freeTotalLimit;

    /**
     * 标准版-下载次数上限
     */
    @TableField(value = "std_vip_limit")
    private Integer stdVipLimit;

    @TableField(value = "create_time")
    private Date createTime;

    @TableField(value = "update_time")
    private Date updateTime;

    /**
     * 获取id
     *
     * @return id - id
     */
    public Long getId() {
        return id;
    }

    /**
     * 设置id
     *
     * @param id id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 获取用户Id
     *
     * @return user_id - 用户Id
     */
    public String getUserId() {
        return userId;
    }

    /**
     * 设置用户Id
     *
     * @param userId 用户Id
     */
    public void setUserId(String userId) {
        this.userId = userId;
    }

    /**
     * 获取深度报告免费下载次数
     *
     * @return deep_report - 深度报告免费下载次数
     */
    public Integer getDeepReport() {
        return deepReport;
    }

    /**
     * 设置深度报告免费下载次数
     *
     * @param deepReport 深度报告免费下载次数
     */
    public void setDeepReport(Integer deepReport) {
        this.deepReport = deepReport;
    }

    /**
     * 获取深度报告-标准版-下载次数
     *
     * @return deep_report_std - 深度报告-标准版-下载次数
     */
    public Integer getDeepReportStd() {
        return deepReportStd;
    }

    /**
     * 设置深度报告-标准版-下载次数
     *
     * @param deepReportStd 深度报告-标准版-下载次数
     */
    public void setDeepReportStd(Integer deepReportStd) {
        this.deepReportStd = deepReportStd;
    }

    /**
     * 获取累计收益报告-免费下载次数
     *
     * @return cumulative_profit_report - 累计收益报告-免费下载次数
     */
    public Integer getCumulativeProfitReport() {
        return cumulativeProfitReport;
    }

    /**
     * 设置累计收益报告-免费下载次数
     *
     * @param cumulativeProfitReport 累计收益报告-免费下载次数
     */
    public void setCumulativeProfitReport(Integer cumulativeProfitReport) {
        this.cumulativeProfitReport = cumulativeProfitReport;
    }

    /**
     * 获取累计收益报告-标准版-下载次数
     *
     * @return cumulative_profit_report_std - 累计收益报告-标准版-下载次数
     */
    public Integer getCumulativeProfitReportStd() {
        return cumulativeProfitReportStd;
    }

    /**
     * 设置累计收益报告-标准版-下载次数
     *
     * @param cumulativeProfitReportStd 累计收益报告-标准版-下载次数
     */
    public void setCumulativeProfitReportStd(Integer cumulativeProfitReportStd) {
        this.cumulativeProfitReportStd = cumulativeProfitReportStd;
    }

    /**
     * 获取周报/月报
     *
     * @return weekly_monthly_report - 周报/月报
     */
    public Integer getWeeklyMonthlyReport() {
        return weeklyMonthlyReport;
    }

    /**
     * 设置周报/月报
     *
     * @param weeklyMonthlyReport 周报/月报
     */
    public void setWeeklyMonthlyReport(Integer weeklyMonthlyReport) {
        this.weeklyMonthlyReport = weeklyMonthlyReport;
    }

    /**
     * 获取持仓分析-免费版-下载次数
     *
     * @return hold_fund_report - 持仓分析-免费版-下载次数
     */
    public Integer getHoldFundReport() {
        return holdFundReport;
    }

    /**
     * 设置持仓分析-免费版-下载次数
     *
     * @param holdFundReport 持仓分析-免费版-下载次数
     */
    public void setHoldFundReport(Integer holdFundReport) {
        this.holdFundReport = holdFundReport;
    }

    /**
     * 获取持仓分析-标准版-下载次数
     *
     * @return hold_fund_report_std - 持仓分析-标准版-下载次数
     */
    public Integer getHoldFundReportStd() {
        return holdFundReportStd;
    }

    /**
     * 设置持仓分析-标准版-下载次数
     *
     * @param holdFundReportStd 持仓分析-标准版-下载次数
     */
    public void setHoldFundReportStd(Integer holdFundReportStd) {
        this.holdFundReportStd = holdFundReportStd;
    }

    /**
     * 获取免费版-下载次数上限
     *
     * @return free_total_limit - 免费版-下载次数上限
     */
    public Integer getFreeTotalLimit() {
        return freeTotalLimit;
    }

    /**
     * 设置免费版-下载次数上限
     *
     * @param freeTotalLimit 免费版-下载次数上限
     */
    public void setFreeTotalLimit(Integer freeTotalLimit) {
        this.freeTotalLimit = freeTotalLimit;
    }

    /**
     * 获取标准版-下载次数上限
     *
     * @return std_vip_limit - 标准版-下载次数上限
     */
    public Integer getStdVipLimit() {
        return stdVipLimit;
    }

    /**
     * 设置标准版-下载次数上限
     *
     * @param stdVipLimit 标准版-下载次数上限
     */
    public void setStdVipLimit(Integer stdVipLimit) {
        this.stdVipLimit = stdVipLimit;
    }

    /**
     * @return create_time
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * @return update_time
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * @param updateTime
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}