package com.tanpu.fund.feign.hangjia;

import com.alibaba.fastjson.JSON;
import com.tanpu.common.model.tanpuroom.Type;
import com.tanpu.common.resp.CommonResp;
import com.tanpu.fund.feign.product.FeignForProduct;
import feign.hystrix.FallbackFactory;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.List;

@Slf4j
@Component
public class FeignbackForHangjiaBack implements FallbackFactory<FeignForHangjia> {

    @Override
    public FeignForHangjia create(Throwable throwable) {
        return new FeignForHangjia() {


            @Override
            public CommonResp reloadFundNav4Ifa(String sign, String ifaId) {
                log.error("FeignForHangjia.reloadFundNav4Ifa 发生异常, sign: {}, ifaId: {}", sign, ifaId, throwable);
                return CommonResp.error("基金净值缓存刷新发生异常");
            }

            @Override
            public CommonResp reloadMostUsedFundNav(String sign, int limit) {
                log.error("FeignForHangjia.reloadMostUsedFundNav 发生异常, sign: {}, limit: {}", sign, limit, throwable);
                return CommonResp.error("基金净值缓存刷新发生异常");
            }
        };
    }
}
